import { observable } from 'mobx'
export interface ClassifyStore {
    /**分类id*/
    categoryId: { id: number, name: string },//分类ID
    setData: (data: { [key: string]: any }) => void
}
/**
 * 分类独有参数
 * */
const classifyStore: ClassifyStore = observable({
    categoryId: { id: 0, name: "" },
    setData(data: { [key: string]: any }) {
        if (data) {
            Object.keys(data).forEach(key => {
                this[key] = data[key]
            })
        }
    },
})

export default classifyStore